Skip to main content
GET
/
payment-links
/
{paymentLinkId}
Get a payment link by ID
curl --request GET \
  --url https://api.example.com/payment-links/{paymentLinkId}
{
  "paymentLinkId": "ad78347a-9fd5-40b3-9e18-d89a0fe9989d",
  "paymentLinkUrl": "https://pay.hellopay.com.co/link/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "createdAt": "2024-01-01T00:00:00.000Z",
  "expiresAt": "2024-01-02T00:00:00.000Z",
  "status": "PENDING",
  "inlineCustomer": {
    "name": "John Doe",
    "email": "john.doe@example.com",
    "phone": "+1234567890",
    "idType": "CO_CC",
    "idNumber": "1234567890"
  },
  "rail": "BRE_B"
}

Path Parameters

Response

Payment link successfully retrieved

Unique payment link ID

Example:

"ad78347a-9fd5-40b3-9e18-d89a0fe9989d"

URL to share with the customer to complete the payment using the payment link

Example:

"https://pay.hellopay.com.co/link/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-01T00:00:00.000Z"

expiresAt
string<date-time>
required

Expiration timestamp

Example:

"2024-01-02T00:00:00.000Z"

status
string
required

Payment link status

Example:

"PENDING"

inlineCustomer
object
required

Payment link customer data

Example:
{
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "+1234567890",
"idType": "CO_CC",
"idNumber": "1234567890"
}
rail
object
required

Payment link rail

Example:

"BRE_B"